// amFakeAirmailInv
// Fake Airmails

class amFakeAirmailInv extends AirMailInv;

var localized string OurUseMessage;

///////////////////////////////////////////////////////////////////////////////
// Active state: this inventory item is armed and ready to rock!
///////////////////////////////////////////////////////////////////////////////
function Activate()
{
	local int FakeDropper;
	local Actor Thingy;
	local AirMailPickup amp;
	local class<AirMailPickup> PickupToSpawn;

	FakeDropper = Rand(3);
	//FakeDropper = 1;
	// Spawns one of 3 different fake airmails at random
	switch FakeDropper
	{
		// Fake airmails that explode when touched
		case 0:
			Thingy = spawn(class'amFakeAirmailExplosive',Owner,,Owner.Location);
			break;

		// Anti-Regen package
		case 1:
			amp = spawn(class'amAntiRegenPickup',Owner,,Owner.Location);
			amp.FindGround();
			amAntiRegenPickup(amp).Prankster = OurOwner;
			amp.GotoState('Pickup');
			break;

		// Anti-Airmail package
		case 2:
			amp = spawn(class'amAntiAirmailPickup',Owner,,Owner.Location);
			amp.FindGround();
			amp.GotoState('Pickup');
			break;
	}
	OurOwnerController.ClientMessage(OurUseMessage);
	ReduceAmount(1);
}

///////////////////////////////////////////////////////////////////////////////
// Default properties
///////////////////////////////////////////////////////////////////////////////
defaultproperties
{
	PickupClass=class'amFakeAirmailPickup'
	Description="FAKE AIRMAILS: Drops fake airmail pickups to annoy others"
	OurUseMessage="Fake airmail dropped, be careful not to pick it up!"
	bThrowIndividually=False
	bDisplayAmount=True
}
