// amGrav2Inv
// Gravity traps that suck in people, rockets, nades, etc.

class amGrav2Inv extends AirMailInv;

// Subspace Distortions
// Spawns Subspace Distortions, i.e., death spots.

var localized string DropMessage;
var localized string RecallMessage;

var amGravTrap OurGravTrap;
var bool bUseAgain;
var config float GravDelay;

// get rid of the trap
function RemoveTrap()
{
	OurGravTrap.Destroy();
	OurOwnerController.ClientMessage(RecallMessage);	
}

function RevokePowers(MpPawn Other)
{
	if (OurGravTrap != None)
		RemoveTrap();
}

event Timer()
{
	bUseAgain=false;
}

///////////////////////////////////////////////////////////////////////////////
// Active state: this inventory item is armed and ready to rock!
///////////////////////////////////////////////////////////////////////////////
function Activate()
{
	if (!bUseAgain)
	{
		if (OurGravTrap == None && !bUseAgain)
		{
			OurGravTrap = spawn(class'amGravTrap', Owner,,Owner.Location);
			OurOwnerController.ClientMessage(DropMessage);
		}
		else
		{
			RemoveTrap();
			bUseAgain=true;
			SetTimer(GravDelay,false);
		}
	}
}

///////////////////////////////////////////////////////////////////////////////
// Default properties
///////////////////////////////////////////////////////////////////////////////
defaultproperties
{
	PickupClass=class'amGrav2Pickup'
	Icon=Texture'AMTextures.Icons.GravIcon'
	Description="GRAVITY WELL: Drops a black hole that sucks everything in"
	DropMessage="Gravity well dropped"
	RecallMessage="Gravity well recalled"
	GravDelay=3
}
