// amIcarusInv
// Red Bull gives you WIIIIIIIIIIIINGS

class amIcarusInv extends AirMailInv
	config(AirMail);

var config int FLY_TIME; // Magnitude of powerup
var localized string FlightOn;
var localized string FlightOff;

// Give our pawn a silly-looking beanie cap
function GrantPowers(MpPawn Other)
{
	AddBolton(Other);
}

// Get rid of the beanie
function RevokePowers(MpPawn Other)
{
	RemoveBolton(Other);
	StopFlying(Other);
}

// Send 'em flying
function SetupFlight(MpPawn Other)
{
	Other.SetPhysics(PHYS_Flying);
	Other.Controller.GotoState('PlayerFlying');
}

// Turn gravity back on
function StopFlying(MpPawn Other)
{
	Other.SetPhysics(PHYS_Walking);
	Other.Controller.GotoState('PlayerWalking');
}

function Activate()
{
	OurOwnerController.ClientMessage(FlightOn);
	GotoState('Flying');
}

function UsedUp()
{
	OurOwnerController.ClientMessage(FlightOff);
	RevokePowers(OurOwner);
	Super.UsedUp();
}

// Continually eat up our icarus inventory while flying
state Flying
{
	function Activate()
	{
		OurOwnerController.ClientMessage(FlightOff);
		StopFlying(OurOwner);
		GotoState ('');
	}
	function BeginState()
	{
		SetupFlight(OurOwner);
	}
Begin:
	ReduceAmount(1);
	Sleep(SLEEP_TIME);
	Goto ('Begin');
}

///////////////////////////////////////////////////////////////////////////////
// Default properties
///////////////////////////////////////////////////////////////////////////////
defaultproperties
{
	PickupClass=class'amIcarusPickup'
	Icon=Texture'AMTextures.Icons.Plane'
	Description="ICARUS WINGS: Grant the power of flight for a limited time"
	FLY_TIME=60
	FlightOn="Flight on"
	FlightOff="Flight off"
	bDisplayAmount=True
	bThrowIndividually=False
	OurBolton=(bone="NODE_Parent",staticmesh=staticmesh'boltons.beanie_bolton_billybob_blackman2',bCanDrop=false,bAttachToHead=true)
}
