// amJihadInv
// Suicide Bomber

class amJihadInv extends AirMailInv;

// Jihad
// Devastating suicide bombing

var int Ticker; // countdown var
var sound CountdownSound; // countdown sound
var bool bActivated;
var amJihadGrenade OurGrenade; // grenade that follows us around

// Initialize the grenade that follows us around
function GrantPowers(MpPawn Other)
{
	OurGrenade=spawn(class'amJihadGrenade', Owner,,Owner.Location,Owner.Rotation);
	OurGrenade.SetupSpin();
}

// Lose the grenade
function RevokePowers(MpPawn Other)
{
	OurGrenade.Destroy();
}

// Start the countdown
function Activate()
{
	if (!bActivated)
	{
		bActivated = true;
		Owner.PlaySound(P2Pawn(Owner).DudeSuicideSound, SLOT_TALK);
		Ticker = 0;
		GotoState('Countdown');
	}
}

// play countdown sounds and explode when we hit 0
function Timer()
{
	local PlayerController pc;
	local int TimeLeft;

	if (bActivated)
	{	
		Owner.PlaySound(CountdownSound, SLOT_MISC);
		Ticker++;
		pc = PlayerController(Pawn(Owner).Controller);
		TimeLeft = 4-Ticker;
		if (pc != None)
			pc.ClientMessage(TimeLeft);
		if (TimeLeft == 0)
		{
			// kaboom!
			spawn(class'amJihadExplosion', Owner,,OurGrenade.Location);
			// why is this here too? i thought it was covered in airmailrules...
			if (pc != None)
				pc.PlayerReplicationInfo.Score+= 1; // Jihads don't count against your score
			ReduceAmount(1);
		}
	}

	Super.Timer();
}

state Countdown
{
	ignores DropFrom; // there's no turning back!
Begin:
	SetTimer(1, true);
}

///////////////////////////////////////////////////////////////////////////////
// Default properties
///////////////////////////////////////////////////////////////////////////////
defaultproperties
{
	PickupClass=class'amJihadPickup'
	Icon=Texture'Mp_Teams.Icons.Icon_Fanatic'
	Description="JIHAD: Become a suicide bomber and take out as many infidels as possible!"
	CountdownSound=Sound'jail.door_locker_CLS'
}
