// amLawyerInv
// Bloodthirsty lawyers that sue whatever they can

class amLawyerInv extends AirMailInv
	config(AirMail);

var config float LawyerRadius; // how far our lawyers can reach

// Put a silly-looking fez hat on for shits and giggles
function GrantPowers(MpPawn Other)
{
	AddBolton(Other);
}

// Lose the fez
function RevokePowers(MpPawn Other)
{
	RemoveBolton(Other);
}

// Sue them! Sue them!
function Activate()
{
	local Actor other;
	local int TrapsSued;

	foreach RadiusActors(class'Actor', other, LawyerRadius, Owner.Location)
	{
		// maybe it would have been easier to make an "AirMailTrap" class and just have any lawyer-cancellable traps
		// extend from that?
		if (other.class == class'amGravTrap') // cancel gravity traps
		{
			PlayerController(Pawn(Other.Owner).Controller).ClientMessage("Your gravity trap was cancelled by a pack of bloodthirsty lawyers");
			Other.Destroy();
			TrapsSued++;
		}
		if (other.class == class'amDogPawn') // and dog helpers
		{
			PlayerController(Pawn(Other.Owner).Controller).ClientMessage("Your dog helper was cancelled by a pack of bloodthirsty lawyers");
			Other.Destroy();
			TrapsSued++;
		}
		if (other.class == class'amFakeAirmailExplosive') // and fake airmails
		{
			PlayerController(Pawn(Other.Owner).Controller).ClientMessage("Your fake airmail was cancelled by a pack of bloodthirsty lawyers");
			Other.Destroy();
			TrapsSued++;
		}
		if (other.class == class'amAntiRegenPickup') // and anti regens
		{
			PlayerController(amAntiRegenPickup(Other).Prankster.Controller).ClientMessage("Your anti-regen package was cancelled by a pack of bloodthirsty lawyers");
			Other.Destroy();
			TrapsSued++;
		}
		if (other.class == class'amAntiAirmailPickup') // and anti airmails
		{
			PlayerController(Pawn(Other.Owner).Controller).ClientMessage("Your anti-airmail pickup was cancelled by a pack of bloodthirsty lawyers");
			Other.Destroy();
			TrapsSued++;
		}
		if (other.class == class'amArcadeMachine') // and arcade machine
		{
			PlayerController(Pawn(Other.Owner).Controller).ClientMessage("Your arcade machine was cancelled by a pack of bloodthirsty lawyers");
			Other.Destroy();
			TrapsSued++;
		}
		if (other.class == class'amFartCloud') // and smelly farts
		{
			PlayerController(Pawn(Other.Owner).Controller).ClientMessage("Your methane gas was cancelled by a pack of bloodthirsty lawyers");
			Other.Destroy();
			TrapsSued++;
		}
		if (other.class == class'amFakeFastFoodTrap') // and fake food
		{
			PlayerController(Pawn(Other.Owner).Controller).ClientMessage("Your fake fast food was cancelled by a pack of bloodthirsty lawyers");
			Other.Destroy();
			TrapsSued++;
		}
		if (other.class == class'amSubspaceDistortion') // and subspace distortion
		{
			PlayerController(Pawn(Other.Owner).Controller).ClientMessage("Your subspace distortion was cancelled by a pack of bloodthirsty lawyers");
			Other.Destroy();
			TrapsSued++;
		}
	}

	if (TrapsSued>0) // let 'em know
		OurOwnerController.ClientMessage("Your lawyers cancelled" @ TrapsSued @ "traps");
}

///////////////////////////////////////////////////////////////////////////////
// Default properties
///////////////////////////////////////////////////////////////////////////////
defaultproperties
{
	PickupClass=class'amLawyerPickup'
	Icon=Texture'AMTextures.Icons.scales'
	Description="LAW FIRM: Issues injunctions to cancel enemy traps"
	LawyerRadius=500
	OurBolton=(bone="NODE_Parent",staticmesh=staticmesh'boltons.fez_bolton_billybob_blackman2',bCanDrop=false,bAttachToHead=true)
}
