// amRepelInv
// Opposite of gravity well, and the effects follow our owner.

class amRepelInv extends AirMailInv
	config(AirMail);

var config float SUCK_DIST; // just copied the code from gravity well
var config float SUCK_FORCE;

function Tick(float DeltaTime)
{
	local actor Suckee;
	local vector SuckLoc;
	local vector HitNormal;
	local float Dist;
	local vector VelAdd;

	// have to do OurOwner.RadiusActors or else it'll only work at the origin
	foreach OurOwner.RadiusActors(class'Actor', Suckee, SUCK_DIST)
	{
		//log ("Checking" @ Suckee);
		if (Suckee != Owner && Suckee != Self && (
			Suckee.Physics == PHYS_Falling ||
			Suckee.Physics == PHYS_Flying ||
			Suckee.Physics == PHYS_Karma ||
			Suckee.Physics == PHYS_KarmaRagdoll ||
			Suckee.Physics == PHYS_Projectile ||
			Suckee.Physics == PHYS_Walking))
		{
			HitNormal = Normal(Owner.Location - Suckee.Location);
			Dist = VSize(Owner.Location - Suckee.Location);
			If (Dist <= SUCK_DIST)
			{
				VelAdd = HitNormal * SUCK_FORCE * (SUCK_DIST - Dist);
				Suckee.Velocity += VelAdd;
				//log("Suckee" @ Suckee @ "Physics:" @ Suckee.Physics @ "HitNormal:" @ HitNormal @ "Distance:" @ Dist @ "VelAdd:" @ VelAdd @ "New Velocity:" @ Suckee.Velocity);
			}
		}
	}
	Super.Tick(DeltaTime);
}

defaultproperties
{
	PickupClass=class'amRepelPickup'
	Icon=Texture'AMTextures.Icons.Repel'
	Description="REPEL: Automatically pushes away rockets, nades, people"
	AutoUseDesc="This power automatically repels things away from you and doesn't need to be activated."
	SUCK_DIST=550
	SUCK_FORCE=-0.3 
}
