// amStarmanInv
// Starman from Super Mario!

class amStarmanInv extends AirMailInv;

// Starman
// Invincibility for 20 seconds

var P2Emitter OurEmitter;

// turn on God Mode and start the starman emitter
function GrantPowers(MpPawn Other)
{
	Other.Controller.bGodMode=true;
	OurEmitter=spawn(class'amStarEmitter',Other,,Other.Location);
	OurEmitter.SetBase(Other);
}

// turn off God Mode and destroy emitter
function RevokePowers(MpPawn Other)
{
	OurOwnerController.bGodMode=false;
	OurEmitter.Destroy();
}

function Activate()
{
	GotoState('Hidden');
}

function UsedUp()
{
	OurOwnerController.ClientMessage("Starman used up");
	RevokePowers(OurOwner);
	Super.UsedUp();
}

state Hidden
{
Begin:
	ReduceAmount(1);
	Sleep(SLEEP_TIME);
	Goto('Begin');
}

///////////////////////////////////////////////////////////////////////////////
// Default properties
///////////////////////////////////////////////////////////////////////////////
defaultproperties
{
	PickupClass=class'amStarmanPickup'
	Icon=Texture'AMTextures.Icons.Starman'
	Description="STARMAN: Complete invincibility for 20 seconds!"
	AutoUseDesc="Starman activated"
	bAutoActivate=True
	bThrowIndividually=False
}
