// amSubspaceInv
// Actual inventory for subspace distortions

class amSubspaceInv extends AirMailInv;

// Subspace Distortions
// Spawns Subspace Distortions, i.e., death spots.

var localized string OurUseMessage;

///////////////////////////////////////////////////////////////////////////////
// Active state: this inventory item is armed and ready to rock!
///////////////////////////////////////////////////////////////////////////////
function Activate()
{
	local MpPawn CheckPawn;

	CheckPawn = MpPawn(Owner);
	if (CheckPawn != None)
	{
		spawn(class'amSubspaceDistortion', Owner,,Owner.Location);
		PlayerController(CheckPawn.Controller).ClientMessage(OurUseMessage);
		ReduceAmount(1);
	}
}

///////////////////////////////////////////////////////////////////////////////
// Default properties
///////////////////////////////////////////////////////////////////////////////
defaultproperties
{
	PickupClass=class'amSubspacePickup'
	Icon=Texture'P2Misc.Icons.S_SunIcon'
	Description="SUBSPACE DISTORTION: Gibs anybody who touches it."
	OurUseMessage="Distortion placed. RUN!"
	bThrowIndividually=False
	bDisplayAmount=True
}
