// amWVertigo
// Vertigo weirdness effect
// Works by resetting the target's FOV to an obscene value (180 default)

class amWVertigo extends amWeirdness
	config(AirMail);

var float OldFOV;
var config float NewFOV;

// Save the target's preconfigured FOV and insert our new value
simulated function StartWeirdness()
{
	OldFOV = OurTargetController.DesiredFOV;
	OurTargetController.FOV(NewFOV);
}

// Force our value even if they try to change it
event Tick(float DeltaTime)
{
	if (ROLE < Role_Authority)
		if (OurTargetController.DesiredFOV != NewFov)
			OurTargetController.Fov(NewFov);
}

// Switch back to normal FOV.
simulated function StopWeirdness()
{
	OurTargetController.FOV(90);
}

defaultproperties
{
	NewFOV=180
	OurWeirdEffect="Vertigo!"
	OurWeirdEffect2="Vertigo"
}