// amWeirdness
// Actual weirdness effect that messes with someone

class amWeirdness extends Actor;

var float Lifetime; // how long we last
var MpPawn OurTarget; // pawn of the target
var P2Player OurTargetController; // controller of the target
var amWeirdEmitter OurWeirdness; // yellow effect bubbles

var sound WeirdoSound; // strange sound to play when we activate
var localized string OurWeirdEffect; // long version, shown to target
var localized string OurWeirdEffect2; // short version, shown to attacker

replication
{
	// stuff we send to the client
	reliable if (ROLE==ROLE_Authority)
		StartWeirdness, StopWeirdness;
}

// a lot of weirdness functions require executing code client-side
simulated function StartWeirdness();
simulated function StopWeirdness();

// start the weirdness and tell them
function pwned(MpPawn Other)
{
	OurTarget=Other;
	OurTargetController=P2Player(Other.Controller);
	OurTargetController.ReceiveLocalizedMessage(class'amWeirdMessage',0,,,Class);
	OurWeirdness=spawn(class'amWeirdEmitterTarget',Other,,Other.Location);
	OurWeirdness.SetBase(Other);
	OurTarget.PlaySound(WeirdoSound, SLOT_MISC);
	StartWeirdness();
	SetTimer(Lifetime, false);
}

// time's up, end the weirdness
event Timer()
{
	StopWeirdness();
	OurWeirdness.Destroy();
	Destroy();
}

defaultproperties
{
	Lifetime=15
	OurWeirdEffect="Some Weirdness Effect!"
	OurWeirdEffect2="Weirdness"
	WeirdoSound=Sound'Arcade.Arcade_13'
	DrawType=DT_None
}