// amAirJordanInv.uc
// Air Jordan powerup

class amAirJordanInv extends AirMailInv
	config(AirMail);

// Air Jordans multiply a pawn's JumpZ and GroundSpeed.
// This makes it so that you can run faster and jump higher just like the pro athletes!

var config int JUMP_MULT; // New jumping ability
var config int SPEED_MULT; // New running ability

function GrantPowers(MpPawn Other)
{
	Other.JumpZ *= (float(JUMP_MULT) / 100);
	Other.GroundSpeed *= (float(SPEED_MULT) / 100);
}

function RevokePowers(MpPawn Other)
{
	Other.JumpZ = Other.Default.JumpZ;
	Other.GroundSpeed = Other.Default.GroundSpeed;
}

///////////////////////////////////////////////////////////////////////////////
// Default properties
///////////////////////////////////////////////////////////////////////////////
defaultproperties
{
	PickupClass=class'amAirJordanPickup'
	Icon=Texture'AMTextures.Icons.aj01'
	Description="AIR JORDANS: Run faster and jump higher!"
	AutoUseDesc="Your athletic abilities have already increased, you do not need to activate this item. Throw the item to disable its effect."
	Jump_Mult = 150;
	Speed_Mult = 125;
}
