// amBootToTheHead
// New foot weapon for Tai Kwan Leap users.

///////////////////////////////////////////////////////////////////////////////
// FootWeapon
// Copyright 2002 Running With Scissors, Inc.  All Rights Reserved.
//
// Foot weapon (first and third person).
//
// Gets used when you kick
//
// This weapon is SEPERATE from the player's normal inventory. It's in 
// P2Pawn::MyFoot and thus must be handled seperately. 
//
// It is only to be visible during it's fire (the kick) and is handled
// seperately in P2Hud. 
//
// It is like this so that the player can kick with any other weapon and 
// at mostly any time.
//
///////////////////////////////////////////////////////////////////////////////
class amBootToTheHead extends FootWeapon;

///////////////////////////////////////////////////////////////////////////////
// Default properties
///////////////////////////////////////////////////////////////////////////////
defaultproperties
	{
	AmmoName=class'amBootToTheHeadAmmoInv'
	FireSound=Sound'AMSounds.swish'
	PickupClass=None
	}
