// amDogPawn
// Added some stuff to "dying" to inform the owner
// Tried to replicate dog anims but failed miserably
// It's a miracle multiplayer even fucking works at all

///////////////////////////////////////////////////////////////////////////////
// DogPawn for Postal 2
//
// Copyright 2002 Running With Scissors, Inc.  All Rights Reserved.
//
///////////////////////////////////////////////////////////////////////////////
class amDogPawn extends DogPawn
	placeable;

// FIXME: Dog anims don't show up in multiplayer correctly.
// Tried to replicate the anims but was unsuccessful.
// Will fix it later, maybe.

///////////////////////////////////////////////////////////////////////////////
// VARS
///////////////////////////////////////////////////////////////////////////////
var localized string DogKilledMessage;
var localized string DogSuicideMessage;

simulated event SetAnimAction(name NewAction)
{
	if (NewAction == 'stand')
	{
		AnimBlendParams(MOVEMENTCHANNEL,0.0);
		PlayAnim('stand', 1.0, 0.2);
	}
	if (NewAction == 'limp')
	{
		AnimBlendParams(MOVEMENTCHANNEL,0.0);
		PlayAnim('limp', 1.0, 0.2);
	}
	if (NewAction == 'bark')
	{
		AnimBlendParams(MOVEMENTCHANNEL,0.0);
		PlayAnim('bark', 1.0, 0.3);
	}
	if (NewAction == 'pounce')
	{
		AnimBlendParams(MOVEMENTCHANNEL,0.0);
		PlayAnim('pounce', 2.0, 0.2);
	}
}

simulated function SetupAnims()
{
	// Make sure to blend all this channel in, ie, always play all of this channel when not 
	// playing something else, because this is the main movement channel
	AnimBlendParams(MOVEMENTCHANNEL,1.0);
	LoopAnim('stand', 1.0, 0.2);
}

///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////
// Extends Pawn.Dying
///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////
state Dying
{
	simulated function BeginState()
	{
		local PlayerController pc;
		local MpPawn killer;
		local PlayerReplicationInfo pri;

		pc = PlayerController(DogController(Controller).Hero.Controller);
		killer = MpPawn(DamageInstigator);
		if (pc != None)
		{
			if (killer != None)
				pri = killer.PlayerReplicationInfo;
			if (pri != None)
				pc.ClientMessage(DogKilledMessage @ pri.PlayerName);
			else
				pc.ClientMessage(DogSuicideMessage);
		}

		Super.BeginState();
	}
}

defaultproperties
{
	ControllerClass=class'amDogController'
	DogKilledMessage="Your dog helper was killed by"
	DogSuicideMessage="Your dog helper was killed"
}
