// amFakeFastFoodInv
// Food bags that explode

class amFakeFastFoodInv extends AirMailInv;

var localized string OurThrownMessage;

///////////////////////////////////////////////////////////////////////////////
// Active state: this inventory item is armed and ready to rock!
///////////////////////////////////////////////////////////////////////////////
function Activate()
{
	local MpPawn CheckPawn;
	local GrenadeProjectile gren;
	local P2Player p2p;
	local vector GTV;
	local rotator userot;

	CheckPawn = MpPawn(Owner);
	if (CheckPawn != None)
	{
		p2p = P2Player(CheckPawn.Controller);
		//GTV = p2p.GenTossVel();
		userot = CheckPawn.Rotation;
		userot.Yaw = FRAnd()*65535;
		gren = spawn(class'amFakeFastFoodTrap', Owner,,Owner.Location,userot);
		//gren.velocity = GTV;
		p2p.ClientMessage(OurThrownMessage);
		ReduceAmount(1);
	}
}

///////////////////////////////////////////////////////////////////////////////
// Default properties
///////////////////////////////////////////////////////////////////////////////
defaultproperties
{
	PickupClass=class'amFakeFoodPickup'
	Icon=Texture'AMTextures.Icons.fakefood'
	Description="FAKE FAST FOOD: Drops fast food bags that explode when grabbed"
	OurThrownMessage="Fake bag thrown"
	bThrowIndividually=False
	bDisplayAmount=True
}
