// amFartCloud
// The actual fart itself.

class amFartCloud extends P2Emitter
	config(AirMail);

var config float FartLifetime; // lifetime in seconds
var config int FartDamage; // damage per sleep
var config float FartRadius; // radius of the fart

var class<P2Damage> MyDamageType;
var vector HitMomentum;
var array<Sound> Farts; // varying fart sounds
var localized string SomeoneFartedHere;
var localized string FartExpiredMessage;

// Fart goes away
function DissipateFart()
{
	local MpPawn CheckPawn;

	CheckPawn = MpPawn(Owner);
	if (CheckPawn != None)
		PlayerController(CheckPawn.Controller).ClientMessage(FartExpiredMessage);

	Destroy();
}

// spawns a fartball and plays farting noise
function SetupFart()
{
	spawn(class'amFartBall', Owner,,Location);
	PlaySound(Farts[Rand(Farts.Length)],SLOT_Misc,,,,GetRandPitch());
}

// Damage anyone within line-of-sight and within the fartradius
function Timer()
{
	local P2Pawn CheckPawn;
	local PlayerController pc;

	foreach VisibleActors(class'P2Pawn',CheckPawn,FartRadius) {
		if (CheckPawn != Owner) {
			CheckPawn.TakeDamage(FartDamage,Pawn(Owner),Location,HitMomentum,MyDamageType);
			pc = PlayerController(CheckPawn.Controller);
			if (pc != None)
				pc.ClientMessage(SomeoneFartedHere);
		}
	}
}

// become deadly in 5 seconds
auto state FartBegin
{
Begin:
	SetupFart();
	Sleep(5);
	GotoState('FartActive');
}

// set timer and wait
state FartActive
{
Begin:
	SetTimer(0.5, true);
	Sleep(FartLifetime);
	DissipateFart();
}

defaultproperties
{
	HitMomentum=0
	MyDamageType=class'amFartDamage'
	FartDamage=10
	FartLifetime=30
	FartRadius=3000
	FartExpiredMessage="Your fart gases dissipated."
	SomeoneFartedHere="Someone farted here!"
	Farts[0]=Sound'AMSounds.fart8'
	Farts[1]=Sound'AMSounds.fart1'
	Farts[2]=Sound'AMSounds.fart2'
	Farts[3]=Sound'AMSounds.fart3'
	Farts[4]=Sound'AMSounds.fart4'
	Farts[5]=Sound'AMSounds.fart5'
	Farts[6]=Sound'AMSounds.fart6'
	Farts[7]=Sound'AMSounds.fart7'
	Farts[8]=Sound'AMSounds.copb1'
	Farts[9]=Sound'AMSounds.copb2'
	Farts[10]=Sound'AMSounds.copb3'
	Farts[11]=Sound'AMSounds.copb4'
	Farts[12]=Sound'AMSounds.copb5'
}
