// amHyperspacePickup
// The actual pickup for hyperspace

class amHyperspacePickup extends AirMailPickup;

var float FailureRate;

// We tried to copy failurerate here but it didn't work
state Pickup
{
	function Touch( actor Other )
	{
		local Inventory Copy;
		local Trigger trig;
		local P2GameInfoSingle checkg;
		local inventory Inv, Next;
		local AirMailInv CheckA;
		local bool bAlreadyGotOne;
		local P2Player p2p;

		bAlreadyGotOne = False;
		if (MpPawn(Other) != None)
		{
			// Check their inventory for an airmail pickup.
			inv = MpPawn(Other).Inventory;
			while (Inv != None)
			{
				Next = Inv.Inventory;
				CheckA = AirMailInv(Next);
				If (CheckA != None)
				{
					bAlreadyGotOne = True;
				}
				Inv = Next;
			}
			if (bAlreadyGotOne)
			{
				// They already have one, so tell them and don't let them grab the pickup
				/*p2p = P2Player(MpPawn(Other).Controller);
				if (p2p != None)
					p2p.ClientMessage(AlreadyHeldMessage);*/
				return;
			}
		}

		trig = Trigger(Other);

		if(trig != None)
		{
			// If you hit a trigger for looking for your class, and you have to do
			// with errands, check to complete an errand and destroy yourself
			if(trig.ClassIsChildOf(class, trig.ClassProximityType)
				&& bUseForErrands)
			{
				// See if this item is in an uncompleted errand
				checkg = P2GameInfoSingle(Level.Game);
				if(checkg != None)
					checkg.CheckForErrandCompletion(self, Other, Instigator, P2Player(Instigator.Controller), false);
				// Destroy it anyway, when it hits this
				Destroy();
				return;
			}
		}
		
		if(ValidTouch(Other))
		{
			Copy = SpawnCopy(Pawn(Other));
			AnnouncePickup(Pawn(Other));
			amHyperspaceInv(Copy).CurrentFailureRate = FailureRate;
			Copy.PickupFunction(Pawn(Other));
			// Destroy possibly here instead of inside SpawnCopy
			SetRespawn();
		}
		// don't allow inventory to pile up (frame rate hit)
		else 
		{
			CheapBounce(Other);
		}
	}
}

defaultproperties
{
	InventoryType=class'amHyperspaceInv'
	PickupMessage="You picked up the Panic Button."
}
