// amShadowInv
// Complete invisibility for 20 seconds

class amShadowInv extends AirMailInv;

// turn on invisio
function GrantPowers(MpPawn Other)
{
	Other.SetDrawType(DT_None);
	Other.Visibility = 0;
}

// turn off invisio
function RevokePowers(MpPawn Other)
{
	If (Other.DrawType != DT_Mesh)
	{
		Other.SetDrawType(DT_Mesh);
		Other.Visibility = Other.Default.Visibility;
	}
}

function Activate()
{
	GotoState('Hidden');
}

function UsedUp()
{
	OurOwnerController.ClientMessage("Shadow used up");
	RevokePowers(OurOwner);
	Super.UsedUp();
}

state Hidden
{
Begin:
	ReduceAmount(1);
	Sleep(SLEEP_TIME);
	Goto('Begin');
}

///////////////////////////////////////////////////////////////////////////////
// Default properties
///////////////////////////////////////////////////////////////////////////////
defaultproperties
{
	PickupClass=class'amShadowPickup'
	Icon=Texture'AMTextures.Icons.AIM'
	Description="THE SHADOW: You are completely invisible for 20 seconds! (except to the damn cheating bots)"
	AutoUseDesc="Invisibility activated"
	bAutoActivate=True
	bThrowIndividually=False
}
