// amSpringInv
// Spring Shoes.
// Easy to make since they extend from air jordans.

class amSpringInv extends amAirJordanInv;

var sound OurPlaySound;
var bool bCloset;

// have to use bCountJumps for our springy sound thing.
// this may be in use by some other pickup or mutator so use bCloset to store the value
function GrantPowers(MpPawn Other)
{
	bCloset = Other.bCountJumps;
	Other.bCountJumps = true;
	Super.GrantPowers(Other);
}

// restore value of bCountJumps
function RevokePowers(MpPawn Other)
{
	Other.bCountJumps = bCloset;
	Super.RevokePowers(Other);
}

// make boingy boingy noises
function OwnerEvent(name EventName)
{
	if(EventName == 'Jumped')
		Owner.PlaySound(OurPlaySound, SLOT_TALK,,,,GetRandPitch());
	Super.OwnerEvent(EventName);
}

///////////////////////////////////////////////////////////////////////////////
// Default properties
///////////////////////////////////////////////////////////////////////////////
defaultproperties
{
	PickupClass=class'amSpringPickup'
	Icon=Texture'AMTextures.Icons.Spring'
	Description="SPRING SHOES: Jump to twice the normal height! However, they slow you down a bit."
	Jump_Mult = 200
	Speed_Mult = 95
	OurPlaySound=Sound'AMSounds.boingy'
}
