// amTeleporterEffects
// Teleporter emitter and sounds since P2 doesn't have any.
// Copy sounds from Quake I.

class amTeleporterEffects extends TimedEmitter;

var array<Sound> TeleSounds;

function PostBeginPlay()
{
	PlaySound(TeleSounds[Rand(TeleSounds.Length)],,,,,GetRandPitch());
	Super.PostBeginPlay();
}

defaultproperties
{
	Begin Object Class=SpriteEmitter Name=PEmitter1
		Texture=Texture'Nathans.Skins.SoftWhiteDot'
		DrawStyle=PTDS_Translucent
		UseColorScale=true
		ColorScale(0)=(Color=(R=50,G=50,B=255),RelativeTime=0.0)
		ColorScale(1)=(Color=(R=255,G=255,B=255),RelativeTime=2.0)
		UseCollision=true
		LifetimeRange=(Min=0.1,Max=0.3)
		MaxParticles=100
		InitialParticlesPerSecond=200
		ParticlesPerSecond=5
		StartVelocityRange=(X=(Min=-300,Max=300),Y=(Min=-300,Max=300),Z=(Min=300,Max=600))
	        Acceleration=(Z=-100.000000)
		FadeOut=true
		Name="PEmitter1"
		RespawnDeadParticles=False
	End Object
	Emitters(0)=SpriteEmitter'PEmitter1'
	PlayTime=0.25
	FinishUpTime=0.25
	AutoDestroy=true
	TeleSounds[0]=Sound'AMSounds.r_tele1'
	TeleSounds[1]=Sound'AMSounds.r_tele2'
	TeleSounds[2]=Sound'AMSounds.r_tele3'
	TeleSounds[3]=Sound'AMSounds.r_tele4'
	TeleSounds[4]=Sound'AMSounds.r_tele5'
}
