// amWeirdInv
// Weirdness inventory.

class amWeirdInv extends AirMailInv
	config(AirMail);

var amWeirdEmitter OurWeirdness; // emitter
var bool bUseAgain; // wait to use

var config float WaitTime;
var config float BubbleLife;

function GrantPowers(MpPawn Other)
{
	OurWeirdness=spawn(class'amWeirdEmitter',Other,,Other.Location);
	OurWeirdness.SetBase(Other);
}

function RevokePowers(MpPawn Other)
{
	OurWeirdness.Destroy();
}

// shoot out a blue bubble that causes weirdness
function Activate()
{
	local amWeirdProjectile WP;
	local vector GTV;

	if (!bUseAgain)
	{
		WP=spawn(class'amWeirdProjectile',OurOwner,,OurOwner.Location);
		if (WP != None)
		{
			GTV = OurOwnerController.GenTossVel();
			WP.Velocity = GTV;
			WP.SetTimer(BubbleLife, False);
			bUseAgain=true;
			SetTimer(WaitTime, false);
		}
	}
}

event Timer()
{
	bUseAgain=false;
}

defaultproperties
{
	PickupClass=class'amWeirdPickup'
	Icon=Texture'AMTextures.Icons.BlueBub'
	Description="WEIRDNESS: Little blue bubbles induce drug-like effects on your enemy"
	WaitTime=2
	BubbleLife=30
}
