// amZintharInv
// Triangle of Zinthar

class amZintharInv extends AirMailInv
	config(AirMail);

var config float DAMAGE_MULT_INC; // Magnitude of powerup
var P2emitter OurEmitter;

// Raise the damage mult and start up the triangle visuals
function GrantPowers(MpPawn Other)
{
	//log("DamageMult before Zinthar was" @ Other.DamageMult);
	Other.DamageMult = 2.40 + DAMAGE_MULT_INC;
	//log("DamageMult is now" @ Other.DamageMult);
	OurEmitter=spawn(class'amZintharEmitter',Other,,Other.Location);
	OurEmitter.SetBase(Other);
}

// reset damage mult and triangle effects
function RevokePowers(MpPawn Other)
{
	//log("DamageMult before dropping Zinthar was" @ Other.DamageMult);
	Other.DamageMult = 2.40;
	//log("DamageMult after dropping Zinthar was" @ Other.DamageMult);
	OurEmitter.Destroy();
}

function Activate()
{
	GotoState('Hidden');
}

function UsedUp()
{
	OurOwnerController.ClientMessage("Triangle used up");
	RevokePowers(OurOwner);
	Super.UsedUp();
}

state Hidden
{
Begin:
	ReduceAmount(1);
	Sleep(SLEEP_TIME);
	Goto('Begin');
}

///////////////////////////////////////////////////////////////////////////////
// Default properties
///////////////////////////////////////////////////////////////////////////////
defaultproperties
{
	PickupClass=class'amZintharPickup'
	Icon=Texture'AMTextures.Icons.triangle'
	Description="TRIANGLE OF ZINTHAR: Quad Damage for 20 seconds"
	AutoUseDesc="Triangle activated"
	DAMAGE_MULT_INC=3.0
	bAutoActivate=True
	bThrowIndividually=False
}
